import type { Plugin } from '@custom-elements-manifest/analyzer';
type PluginOptions = {
    exampleFileName?: string;
};
/**
 * Plugin for `@custom-elements-manifest/analyzer` that adds code examples to the manifest that
 * are either annotated with the `@example` tag or accompanied by a `example.md` markdown file.
 *
 * So each module with annotated or file based examples will receive an additional `examples`
 * property containing them as strings.
 */
export declare function customElementExamplesPlugin(options?: Partial<PluginOptions>): Plugin;
export {};
